const esModules = ['gatsby', 'nanoevents'].join('|');

module.exports = {
  testRegex: '/*.test.js$',
  collectCoverage: true,
  collectCoverageFrom: [
    '**/*.{js,jsx}',
    '!\\.cache/**',
    '!node_modules/**',
    '!public/**',
    '!test-coverage/**',
  ],
  coverageDirectory: 'test-coverage',
  coverageThreshold: {
    global: {
      branches: 0,
      functions: 0,
      lines: 0,
      statements: 0,
    },
  },
  verbose: true,
  transform: {
    '^.+\\.jsx?$': `<rootDir>/jest-preprocess.js`,
  },
  moduleNameMapper: {
    '.+\\.(css|styl|less|sass|scss)$': `identity-obj-proxy`,
    '.+\\.(jpg|jpeg|png|gif|eot|otf|webp|svg|ttf|woff|woff2|mp4|webm|wav|mp3|m4a|aac|oga)$': `<rootDir>/__mocks__/file-mock.js`,
  },
  testPathIgnorePatterns: [`node_modules`, `\\.cache`],
  transformIgnorePatterns: [`node_modules/(?!${esModules})`],
  globals: {
    __PATH_PREFIX__: ``,
  },
  testURL: `http://localhost`,
  setupFiles: [`<rootDir>/loadershim.js`],
  setupFilesAfterEnv: [`<rootDir>/jest.setup.js`],
  testEnvironment: 'jsdom',
};
