---
slug: '/blog/acing-video-interviews'
date: '2020-07-15'
title: 'Acing Video Interviews'
---

Today, as in-person interviewing has had to cease or slow due to restrictions during the Covid-19 pandemic, thousands of professionals are now needing to learn how to effectively interview in a new way using online platforms, such as Zoom, GoToMeeting and others.
Here are 10 helpful tips for making the best impression you can in your video interview, and demonstrating that you’re a great fit for the role.

#### Be conscious of what’s in the view

While so many of us are now working remotely and using Zoom or other platforms for our meetings, we’ve grown more accustomed to seeing people in their home settings, and noticing their home décor, pets, family members, and other aspects of their personal life in the background.

For an interview, it’s fine to be in your home or living room but try to present whatever people see as neutral and professional as possible. You want to let yourself and your words, conversation and experience speak most powerfully about your qualifications and suitability for the job. And you want to avoid the chance that your interviewer will be distracted by what’s behind you, or perhaps have a negative reaction to any personal items (such as a plate of food behind you or a messy room) in your home.

#### Select professional attire

Even though you’re conducting the interview from your home, remember you are being judged and assessed for your fit for the role, so dress professionally, just as you would if you were meeting in person.

#### Ready your sound and video equipment

Make sure that you have working Wi-Fi, a strong connection, and a quality headset or microphone so there are no tech issues during your call. Invest in quality equipment for audio and video work.

#### Demonstrate positive body language and behavior

Just as in an in-person interview, you want to demonstrate through your voice and body language that you’re interested, engaged, and professional in demeanor and language. Make sure you are not distracted (with your pet, or by loud sounds or interruptions in your home, etc.). If you know there will be significant interruptions or distractions during the scheduled time for the interview, see if you can change it to a time when those interruptions are at minimum.

#### Engage the interviewer with eye contact and connection

Make sure you smile, come across as engaging and interested, and make strong eye contact. Try not to look away during your interview or look down at your notes too frequently. Your eye contact reveals a good deal about how you’re feeling and thinking about what the interviewer is sharing with you.

#### As with every interview, prepare, prepare, prepare

Be fully prepared for your interview. Do your research in advance, understand clearly from what the hiring manager has shared in advance what they’re looking for in the role and be ready to talk about why you’re potentially very well suited to it. Have in front of you some written sound bites and bullet points that speak to how you can leverage your great talents and abilities and hit the ground running successfully in this job.

#### Finally, remember that you’re talented, experienced and have so much value to offer and that the interview is a two-way street

Don’t lose sight of the fact that you have a great deal to offer and so much experience and talent to leverage to be of service in important ways. Make sure too that you understand this is a two-way street and you are interviewing the hiring manager about the role and the organization just as much as they are interviewing you. Have your list of questions that you want to make sure you cover so that you will get a strong sense of this role, the work, and if you would truly be a fit, both emotionally and functionally.
