---
slug: '/blog/ats-friendly-resumes'
date: '2020-07-14'
title: 'ATS-Friendly Resumes'
---

An ATS (Applicant Tracking System) is software used by companies to help them quickly evaluate potential candidates for any given job opening.

ATS software automatically scans and processes each job application a company receives, and ranks them according to their relevant qualifications. It then produces a shortlist of qualified candidates to be reviewed by a hiring manager. If your resume doesn’t meet the requirements of a company’s ATS, your application will likely be rejected before a hiring manager even gets to look at it.

Applicant tracking systems (ATS) eliminate over 70% of applicants before their resume even reaches a hiring manager. Make sure your application makes the cut by learning how to write an ATS-friendly resume with our expert tips, examples, and ATS resume templates.

#### What is an ATS-compliant Resume?

An ATS-compliant resume is a resume designed specifically to make it easier for ATS software to find the information it’s looking for.

For example, this could mean using an easy-to-read resume format, or removing objects such as tables or images because they’re difficult for the ATS to parse. Resumes designed to be compliant with ATS software have a much higher chance of getting into the hands of a human hiring manager, which is one step closer to an interview.

#### How to design an ATS-friendly Resume

Here are six tips to help you make a more ATS-friendly resume and ultimately beat the applicant tracking system.

#### 1. Follow a standard resume format

Use a chronological resume to ensure the software can parse your experience section.

#### 2. Correctly label your section

By sticking to common headings, you prevent the bot from placing your qualifications under the wrong categories, or misreading your sections altogether.

#### 3. Include job-related keywords

To help determine whether your qualifications are relevant to the position, ATS software scans your resume for specific job-related resume keywords. To increase your chance of getting into the interview pool, look through the job listing for these words to include on your resume.

#### 4. Use an ATS-friendly resume template

Many job seekers use fancy resume templates to help them stand out from other candidates. However, templates with graphic elements, tables, or unique fonts are difficult for most ATS software to read.

#### 5. Use a common resume font

Most ATS software is programmed to read more common typefaces. Using an unusual or outdated looking font can result in your resume being rendered incorrectly, with large chunks of your information left unreadable.

#### 6. Save your resume as the proper file type

PDFs are the preferred file format for most companies today, and are easily understood by any modern applicant tracking system.
