---
slug: '/blog/design-beautiful-resumes'
date: '2020-07-13'
title: 'Designing Beautiful Resumes'
---

Follow these 16 pro tips to help your design resume stand out from the crowd.

With designers fighting it out for every job that comes along, it's important that you stand out from the crowd. Whether you're just starting out or a seasoned pro applying for a better position, your design resume needs to be first rate for you to stand a chance of getting an interview.

For your design resume to really shine, you need to think carefully about how it's designed as well as what's written. Here, we'll cover both, as we walk you through the process of creating a stellar designer resume. You'll be landing that dream design job in no time.

#### 1. Avoid word processors

Microsoft Word might be okay if you’re applying for an admin position, but if you’re after a design job or something creative, its limited and idiosyncratic layout options just won't cut it. Art directors will be paying close attention to the layout of your resume as much as the content, so use InDesign CC or even Illustrator CC to design something special.

Whatever program you use to design your resume in, PDF is the best format to supply it in. This enables you to create good-looking documents that are completely cross-platform.

#### 2. Choose your fonts wisely

You’re a designer, so your resume should follow the latest trends in typography, right? Wrong! The aim of any resume should be legibility, so it’s generally a wise idea to stick to simple, readable fonts. You don't need to shell out lots of cash to find something suitable either – take a look at our list of the best free fonts for designers.

And if you would like to use more than one font, you can also check our perfect font pairings.

#### 3. Consider using colour

For most non-design-related jobs, a resume designed or printed in colour is probably a waste of time. However, for design positions, touches of colour are an acceptable way to add a discreet personal touch. Use colour carefully, however, and don't go over the top. Green type on a yellow page will stand out for all the wrong reasons. See our post on colour theory for more info on this.

#### 4. Be brief

Art directors do not have the time or the inclination to read your entire life story. Your resume should ideally fit onto one side of A4, and if it's any longer than two pages, you’re waffling and including too much stuff.

Don’t be tempted to mask a lack of experience with verbosity. Clean, well-laid-out resumes will always win over flabby ones – remember, the aim is to intrigue and impress. Point the recipient in the direction of an online portfolio to see more.

#### 5. Include your contact info

As a minimum, your resume should include your name and contact details, including your email address, phone number and online portfolio URL. Don't assume that because these are at the bottom of the email you sent, you don't need to include them. Make life easier for your potential employer.

This should be followed by a breakdown of your work experience, then your education. In both cases, this should be most recent first. Work experience should include dates, job title and a brief synopsis of your role. Don't bother including jobs you did years ago that are irrelevant to the job you're applying for. References are generally optional.

#### 6. Don't lie on your resume

We once received a resume from an unnamed individual who claimed to have created quite a stunning website. We would have been extremely impressed were it not for the fact that we had actually designed the site.

Needless to say, that resume went straight in the bin and the sender was rewarded with a strongly worded email. Honesty is always the best policy, as you stand a good chance of being found out if you start 'elaborating' in your resume.

#### 6. Include samples of work

By not including any samples of your work with your resume, you’re pretty much guaranteeing that the recipient will not consider you for the post. If you work with motion, stills are perfect, unless you’ve been specifically asked to include a showreel. On the other hand, don't go overboard with images – that's a job for your online graphic design portfolio, which you can provide a link to. Alternatively, you can provide a curated version of your portfolio in PDF format.

#### 7. Keep it simple

Unless you’re really confident and sure about what you’re doing, keep the typographic flourishes and fanciful designs at bay, ensure the layout is simple and clear and the information is cleanly presented. After all, the last thing you want is the recipient squinting because you thought dark grey text on a black background was a great idea.

#### 8. Show your personality

Simple does not have to mean dull. A resume is a reflection of your disposition and persona, and the recipient will be scanning it, consciously or not, for elements that distinguish your resume from the other hundreds they have to wade through. Make your resume stand out with an idiosyncratic design and personal touches... just don't overdo it.

#### 9. Beware the novelty approach to resumes

We’ve had resumes written on scrunched up paper; arriving in the form of a jigsaw; and playing cards. We’ve had giant resume posters, inflatable resumes and resumes crafted using delicate and complex paper engineering.

Off-the-wall resumes stick in the mind (you can see some of the best examples in our roundup of creative resumes) but they're a risky proposition. On the one hand you might appear like a creative thinker, on the other it might seem pretentious and excessive. It depends on the recipient.

#### 10. Don't plagiarise

We've all seen this clever resume concept... so don't try to pass it off as your idea

A surprising number of graduates see an inspiring resume design concept and copy it. What can they be thinking? We all have access to the same internet, and if a particularly inventive resume design has caught your eye, there's a strong chance it's been shared virally within the industry and will have caught the eye of your potential employer, too. Your resume should showcase your creativity, not someone else's.

#### 11. Use proper prints, not photocopies

Photocopies are cheap, but sadly they also look cheap, especially second and third generation copies. Type starts to break up, images are contrasty and full of noise, fingerprints and other blemishes begin to show up, and the results can look slightly askew. Fresh laser prints or sharp inkjet prints on the best quality paper available are the minimum standard. For more info, check out our designer's guide to printing.

#### 12. Demonstrate consistency

Real-world design projects are usually centred around a single, consistent theme or concept that runs throughout the logo, branding, literature and so on. Your résumé, portfolio and covering letter need to demonstrate the same consistency. For example, are bulleted lists presented in the same style across each of your pages? Is the colour scheme consistent?

#### 13. Spend time on the covering letter

Most of the time, when you apply for a job, your resume will need to be accompanied by a covering letter. This should look formal and business-like: this isn't the place to showcase your creativity and imagination. The text should complement the CV and it's best to keep it short and to the point (three paragraphs is a good rule of thumb).

Make it obvious you haven't just copied and pasted the same letter you've used to apply for a hundred other jobs. Write it in a way that's personal to the particular job and company you're applying for.

#### 14. Create multiple resumes

If you're applying for multiple jobs, you should create multiple resumes, each targeting a specific role and the kind of experience and skills the prospective employers are looking for. To take an obvious example, if the job specifically mentions InDesign as a requirement then you should make this first on your list of skills, and possibly expand the description of how and where you've used it.

#### 15. Check your spelling!

If you're getting this one wrong, you're in trouble
If you're applying for a job as a designer, does it matter how well you write? The simple answer is yes. Spelling and grammar mistakes will make you appear uneducated, ignorant and/or lazy – and none of these represent the image you're trying to convey. So, always double-check your grammar and spelling, and get others to check it too (it's easy to miss your own mistakes)
